%define husky_version 1.9.0
%define smapi_version 2.5.0
%define husky_cvsdate 20060918
%define hptzip_version 0.1.0
%define ver %husky_version
%define rel alt1.%husky_cvsdate

Name: libareafix
Summary: AreaFix library for Husky
Version: %ver
Release: %rel
License: GPL
Group: Communications
Requires: ftn
Packager: FTN Development Team <ftn@packages.altlinux.org>

Source0: areafix.tar.bz2

Patch0: areafix-alt-libs.patch

BuildPreReq: huskybse = %husky_version-%release
BuildPreReq: libhusky-devel = %husky_version-%release
BuildPreReq: libfidoconf-devel = %husky_version-%release
BuildPreReq: libsmapi-devel = %smapi_version-%release

%description
AreaFix library for Husky

%description -l ru_RU.UTF-8
Библиотека функций AreaFix проекта husky.

%package devel
Group: Development/C
Summary: Husky AreaFix library header files
Requires: %name = %version-%release

%description devel
Husky AreaFix library header files.

%description -l ru_RU.UTF-8
Заголовочные файлы, необходимые для сборки програм,
использующих библиотеку AreaFix проекта husky.

%package devel-static
Group: Development/C
Summary: Husky AreaFix static library

%description devel-static
Husky AreaFix static library.

%description -l ru_RU.UTF-8 devel-static
Библиотеки, необходимые для статической линковки программ,
использующих библиотеку AreaFix проекта husky.

%prep
%setup -q -n areafix
%patch0 -p1

%build
%make_build DEBIAN=1

%install
%__mkdir_p %buildroot%_libdir

%make_install DEBIAN=1 PREFIX=%buildroot%_prefix install

%post
%post_ldconfig

%postun
%postun_ldconfig

%files
%doc ChangeLog HISTORY TODO
%_libdir/*.so.*

%files devel
%dir %_includedir/areafix/
%_includedir/areafix/*.h
%_libdir/*.so

%files devel-static
%_libdir/*.a

%changelog
* Mon Sep 18 2006 Igor Zubkov <icesik@altlinux.org> 1.9.0-alt1.20060918
- 20060901 -> 20060918

* Sat Sep 16 2006 Igor Zubkov <icesik@altlinux.org> 1.9.0-alt1.20060901
- convert spec to UTF-8
- 20050710 -> 20060901
- spec clean

* Sun Jul 31 2005 Igor Zubkov <icesik@altlinux.ru> 1.9.0-alt1.20050710
- update from cvs snapshot 20050710
- add docs

* Mon Jul 04 2005 Igor Zubkov <icesik@altlinux.ru> 1.9.0-alt1.20050604
- update from cvs snapshot 20050604

* Mon Jun 28 2004 Ivan Fedorov <ns@altlinux.ru> 1.9.0-alt1.20040614
- Fixing "Release" tag

* Mon Jun 14 2004 Ivan Fedorov <ns@altlinux.ru> 1.9.0-alt0.20040614
- Updated from cvs
- fixing CFGDIR in huskymak.cfg

* Sat Jun 12 2004 Ivan Fedorov <ns@altlinux.ru> 1.9.0-alt0.20040612
- Updated from cvs

* Mon Jun 07 2004 Ivan Fedorov <ns@altlinux.ru> 1.9.0-alt0.20040607
- Specfile rewritten from scratch
